#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `marketing_campaign` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-marketing-campaign",
    version = "7.0.406",
    description = "Marketing Campaigns",
    long_description = 
"""

This module provides leads automation through marketing campaigns (campaigns can in fact be defined on any resource, not just CRM Leads).
=========================================================================================================================================

The campaigns are dynamic and multi-channels. The process is as follows:
------------------------------------------------------------------------
    * Design marketing campaigns like workflows, including email templates to
      send, reports to print and send by email, custom actions
    * Define input segments that will select the items that should enter the
      campaign (e.g leads from certain countries.)
    * Run you campaign in simulation mode to test it real-time or accelerated,
      and fine-tune it
    * You may also start the real campaign in manual mode, where each action
      requires manual validation
    * Finally launch your campaign live, and watch the statistics as the
      campaign does everything fully automatically.

While the campaign runs you can of course continue to fine-tune the parameters,
input segments, workflow.

**Note:** If you need demo data, you can install the marketing_campaign_crm_demo
      module, but this will also install the CRM application as it depends on
      CRM Leads.
    
""",
    url = "http://www.openerp.com",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.marketing_campaign': ".",
    },
    packages = ["openerp.addons.marketing_campaign","openerp.addons.marketing_campaign.report"],
    package_data = {
        'openerp.addons.marketing_campaign': ["i18n/*.po*","marketing_campaign_data.xml","marketing_campaign_workflow.xml","marketing_campaign_demo.xml","marketing_campaign_view.xml","res_partner_view.xml","images/campaigns.jpeg","images/email_account.jpeg","images/email_templates.jpeg","images/campaign.png","images/segments.jpeg","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/cs.po","i18n/fi.po","i18n/pt_BR.po","i18n/bg.po","i18n/es_VE.po","i18n/ja.po","i18n/ro.po","i18n/hi.po","i18n/sr@latin.po","i18n/es.po","i18n/mn.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/tr.po","i18n/de.po","i18n/hu.po","i18n/el.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/he.po","i18n/th.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","test/marketing_campaign.yml","security/ir.model.access.csv","security/marketing_campaign_security.xml","report/campaign_analysis_view.xml","marketing_campaign_view.xml","marketing_campaign_data.xml","marketing_campaign_workflow.xml","res_partner_view.xml","report/campaign_analysis_view.xml","security/marketing_campaign_security.xml","security/ir.model.access.csv","marketing_campaign_demo.xml"],
    },
    install_requires = ["openerp-marketing","openerp-document","openerp-email-template","openerp-decimal-precision"],
    tests_require = ["unittest2"],
)
